Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.file
Class FileMuleMessageFactory

    java.lang.Object
      org.mule.transport.AbstractMuleMessageFactory
          org.mule.transport.file.FileMuleMessageFactory

All Implemented Interfaces:
  MuleMessageFactory

Direct Known Subclasses:
  FileContentsMuleMessageFactory

    public class FileMuleMessageFactory

extends AbstractMuleMessageFactory

`FileMuleMessageFactory` creates a new `MuleMessage` with a `File` or `ReceiverFileInputStream` payload. Users can obtain the filename and directory in the properties using `FileConnector.PROPERTY_FILENAME` and `FileConnector.PROPERTY_DIRECTORY`.

Field Summary

Fields inherited from class org.mule.transport.AbstractMuleMessageFactory
`muleContext`

Constructor Summary
`FileMuleMessageFactory(MuleContext context)`

Method Summary
`protected void` | `addProperties(DefaultMuleMessage message, Object transportMessage)`
`protected File` | `convertToFile(Object transportMessage)`
`protected Object` | `extractPayload(Object transportMessage, String encoding)`
`protected Class<?>[]` | `getSupportedTransportMessageTypes()`
`protected void` | `setPropertiesFromFile(MuleMessage message, File file)`

Methods inherited from class org.mule.transport.AbstractMuleMessageFactory
`addAttachments, create, create`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileMuleMessageFactory

    public FileMuleMessageFactory(MuleContext context)

Method Detail

### getSupportedTransportMessageTypes

    protected Class<?>[] getSupportedTransportMessageTypes()

  Specified by:
    `getSupportedTransportMessageTypes` in class `AbstractMuleMessageFactory`

### extractPayload

    protected Object extractPayload(Object transportMessage,
                                    String encoding)
                             throws Exception

  Specified by:
    `extractPayload` in class `AbstractMuleMessageFactory`
  Throws:
    `Exception`

### addProperties

    protected void addProperties(DefaultMuleMessage message,
                                 Object transportMessage)
                          throws Exception

  Overrides:
    `addProperties` in class `AbstractMuleMessageFactory`
  Throws:
    `Exception`

### convertToFile

    protected File convertToFile(Object transportMessage)

### setPropertiesFromFile

    protected void setPropertiesFromFile(MuleMessage message,
                                         File file)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.